# Generated by Django 2.2.2 on 2019-06-18 06:15

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='app_log',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField()),
                ('bundle_no', models.IntegerField()),
                ('user_id', models.CharField(max_length=100)),
                ('operation', models.CharField(max_length=100)),
                ('delete', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='bill',
            fields=[
                ('date', models.DateTimeField()),
                ('bundle_no', models.IntegerField(primary_key=True, serialize=False)),
                ('zone_id', models.IntegerField()),
                ('utility_name', models.CharField(max_length=100)),
                ('pf_charge', models.FloatField(max_length=100)),
                ('govt_duty', models.FloatField()),
                ('bill_amount', models.FloatField(max_length=100)),
                ('delete', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='status',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField()),
                ('bundle_no', models.IntegerField()),
                ('zone_id', models.IntegerField()),
                ('zone_status', models.CharField(max_length=100)),
                ('ac_status', models.CharField(max_length=100)),
                ('delete', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='utility',
            fields=[
                ('utility_id', models.IntegerField(primary_key=True, serialize=False)),
                ('utility_name', models.CharField(max_length=100)),
                ('zone_id', models.IntegerField()),
                ('account_number', models.IntegerField()),
                ('meter_number', models.IntegerField()),
                ('consumer_number', models.IntegerField()),
                ('utility_house_name', models.CharField(max_length=100)),
                ('delete', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='wasa_user',
            fields=[
                ('user_id', models.CharField(max_length=100, primary_key=True, serialize=False)),
                ('user_name', models.CharField(max_length=100)),
                ('password', models.CharField(max_length=100)),
                ('email', models.CharField(max_length=100, unique=True)),
                ('zone_id', models.CharField(max_length=100)),
                ('user_role', models.CharField(max_length=100)),
                ('delete', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='zone',
            fields=[
                ('zone_id', models.IntegerField(primary_key=True, serialize=False)),
                ('zone_name', models.CharField(max_length=100)),
                ('location', models.CharField(max_length=100)),
                ('delete', models.BooleanField()),
            ],
        ),
    ]
